import type { App } from 'vue';
import { authDirective } from '/@/directive/authDirective';
import { wavesDirective, lazyImgDirective } from '/@/directive/customDirective';

/**
 * 导出指令方法：v-xxx
 * @methods authDirective 用户权限指令，用法：v-auth
 * @methods wavesDirective 按钮波浪指令，用法：v-waves
 * @methods lazyImgDirective 图片懒加载指令，用法：v-lazy
 */
export function directive(app: App) {
	// 用户权限指令
	authDirective(app);
	// 按钮波浪指令
	wavesDirective(app);
	// 图片懒加载指令
	lazyImgDirective(app)
}
